--- old/usr/src/uts/common/c2/audit_event.c	sam. juil. 16 15:13:37 2016
+++ new/usr/src/uts/common/c2/audit_event.c	sam. juil. 16 15:13:37 2016
@@ -200,530 +200,531 @@
  *		PROCESSING	CONTROL
  * ----------------------------------------------------------
  */
-aui_null,	AUE_NULL,	aus_null,	/* 0 unused (indirect) */
-		auf_null,	0,
-aui_null,	AUE_EXIT,	aus_exit,	/* 1 exit */
-		auf_null,	S2E_NPT,
-aui_null,	AUE_NULL,	aus_null,	/* 2 (loadable) was forkall */
-		auf_null,	0,
-aui_null,	AUE_READ,	aus_null,	/* 3 read */
-		auf_read,	S2E_PUB,
-aui_null,	AUE_WRITE,	aus_null,	/* 4 write */
-		auf_write,	0,
-aui_open,	AUE_OPEN,	aus_open,	/* 5 open */
-		auf_null,	S2E_SP,
-aui_null,	AUE_CLOSE,	aus_close,	/* 6 close */
-		auf_null,	0,
-aui_null,	AUE_LINK,	aus_null,	/* 7 linkat */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 8 (loadable) was creat */
-		auf_null,	0,
-aui_null,	AUE_LINK,	aus_null,	/* 9 link */
-		auf_null,	0,
-aui_null,	AUE_UNLINK,	aus_null,	/* 10 unlink */
-		auf_null,	0,
-aui_null,	AUE_SYMLINK,	aus_null,	/* 11 symlinkat */
-		auf_null,	0,
-aui_null,	AUE_CHDIR,	aus_null,	/* 12 chdir */
-		auf_null,	S2E_SP,
-aui_null,	AUE_NULL,	aus_null,	/* 13 time */
-		auf_null,	0,
-aui_null,	AUE_MKNOD,	aus_mknod,	/* 14 mknod */
-		auf_mknod,	S2E_MLD,
-aui_null,	AUE_CHMOD,	aus_chmod,	/* 15 chmod */
-		auf_null,	0,
-aui_null,	AUE_CHOWN,	aus_chown,	/* 16 chown */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 17 brk */
-		auf_null,	0,
-aui_null,	AUE_STAT,	aus_null,	/* 18 stat */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NULL,	aus_null,	/* 19 lseek */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 20 getpid */
-		auf_null,	0,
-aui_null,	AUE_MOUNT,	aus_mount,	/* 21 mount */
-		auf_null,	S2E_MLD,
-aui_null,	AUE_READLINK,	aus_null,	/* 22 readlinkat */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_SETUID,	aus_setuid,	/* 23 setuid */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 24 getuid */
-		auf_null,	0,
-aui_null,	AUE_STIME,	aus_null,	/* 25 stime */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 26 pcsample */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 27 alarm */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 28 fstat */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 29 pause */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 30 (loadable) was utime */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 31 stty (TIOCSETP-audit?) */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 32 gtty */
-		auf_null,	0,
-aui_null,	AUE_ACCESS,	aus_null,	/* 33 access */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NICE,	aus_null,	/* 34 nice */
-		auf_null,	0,
-aui_null,	AUE_STATFS,	aus_null,	/* 35 statfs */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NULL,	aus_null,	/* 36 sync */
-		auf_null,	0,
-aui_null,	AUE_KILL,	aus_kill,	/* 37 kill */
-		auf_null,	0,
-aui_null,	AUE_FSTATFS,	aus_fstatfs,	/* 38 fstatfs */
-		auf_null,	S2E_PUB,
-aui_setpgrp,	AUE_SETPGRP,	aus_setpgrp,	/* 39 setpgrp */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 40 uucopystr */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 41 (loadable) was dup */
-		auf_null,	0,
-aui_null,	AUE_PIPE,	aus_null,	/* 42 (loadable) pipe */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 43 times */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 44 profil */
-		auf_null,	0,
-aui_null,	AUE_ACCESS,	aus_null,	/* 45 faccessat */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_SETGID,	aus_setgid,	/* 46 setgid */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 47 getgid */
-		auf_null,	0,
-aui_null,	AUE_MKNOD,	aus_mknodat,	/* 48 mknodat */
-		auf_mknodat,	S2E_MLD,
-aui_msgsys,	AUE_MSGSYS,	aus_msgsys,	/* 49 (loadable) msgsys */
-		auf_msgsys,	0,
+/* BEGIN CSTYLED */
+	{ aui_null,	AUE_NULL,	aus_null,	/* 0 unused (indirect) */
+		auf_null,	0 },
+	{ aui_null,	AUE_EXIT,	aus_exit,	/* 1 exit */
+		auf_null,	S2E_NPT },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 2 (loadable) was forkall */
+		auf_null,	0 },
+	{ aui_null,	AUE_READ,	aus_null,	/* 3 read */
+		auf_read,	S2E_PUB },
+	{ aui_null,	AUE_WRITE,	aus_null,	/* 4 write */
+		auf_write,	0 },
+	{ aui_open,	AUE_OPEN,	aus_open,	/* 5 open */
+		auf_null,	S2E_SP },
+	{ aui_null,	AUE_CLOSE,	aus_close,	/* 6 close */
+		auf_null,	0 },
+	{ aui_null,	AUE_LINK,	aus_null,	/* 7 linkat */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 8 (loadable) was creat */
+		auf_null,	0 },
+	{ aui_null,	AUE_LINK,	aus_null,	/* 9 link */
+		auf_null,	0 },
+	{ aui_null,	AUE_UNLINK,	aus_null,	/* 10 unlink */
+		auf_null,	0 },
+	{ aui_null,	AUE_SYMLINK,	aus_null,	/* 11 symlinkat */
+		auf_null,	0 },
+	{ aui_null,	AUE_CHDIR,	aus_null,	/* 12 chdir */
+		auf_null,	S2E_SP },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 13 time */
+		auf_null,	0 },
+	{ aui_null,	AUE_MKNOD,	aus_mknod,	/* 14 mknod */
+		auf_mknod,	S2E_MLD },
+	{ aui_null,	AUE_CHMOD,	aus_chmod,	/* 15 chmod */
+		auf_null,	0 },
+	{ aui_null,	AUE_CHOWN,	aus_chown,	/* 16 chown */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 17 brk */
+		auf_null,	0 },
+	{ aui_null,	AUE_STAT,	aus_null,	/* 18 stat */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 19 lseek */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 20 getpid */
+		auf_null,	0 },
+	{ aui_null,	AUE_MOUNT,	aus_mount,	/* 21 mount */
+		auf_null,	S2E_MLD },
+	{ aui_null,	AUE_READLINK,	aus_null,	/* 22 readlinkat */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_SETUID,	aus_setuid,	/* 23 setuid */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 24 getuid */
+		auf_null,	0 },
+	{ aui_null,	AUE_STIME,	aus_null,	/* 25 stime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 26 pcsample */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 27 alarm */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 28 fstat */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 29 pause */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 30 (loadable) was utime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 31 stty (TIOCSETP-audit?) */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 32 gtty */
+		auf_null,	0 },
+	{ aui_null,	AUE_ACCESS,	aus_null,	/* 33 access */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NICE,	aus_null,	/* 34 nice */
+		auf_null,	0 },
+	{ aui_null,	AUE_STATFS,	aus_null,	/* 35 statfs */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 36 sync */
+		auf_null,	0 },
+	{ aui_null,	AUE_KILL,	aus_kill,	/* 37 kill */
+		auf_null,	0 },
+	{ aui_null,	AUE_FSTATFS,	aus_fstatfs,	/* 38 fstatfs */
+		auf_null,	S2E_PUB },
+	{ aui_setpgrp,	AUE_SETPGRP,	aus_setpgrp,	/* 39 setpgrp */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 40 uucopystr */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 41 (loadable) was dup */
+		auf_null,	0 },
+	{ aui_null,	AUE_PIPE,	aus_null,	/* 42 (loadable) pipe */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 43 times */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 44 profil */
+		auf_null,	0 },
+	{ aui_null,	AUE_ACCESS,	aus_null,	/* 45 faccessat */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_SETGID,	aus_setgid,	/* 46 setgid */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 47 getgid */
+		auf_null,	0 },
+	{ aui_null,	AUE_MKNOD,	aus_mknodat,	/* 48 mknodat */
+		auf_mknodat,	S2E_MLD },
+	{ aui_msgsys,	AUE_MSGSYS,	aus_msgsys,	/* 49 (loadable) msgsys */
+		auf_msgsys,	0 },
 #if defined(__x86)
-aui_null,	AUE_NULL,	aus_null,	/* 50 sysi86 */
-		auf_null,	0,
+	{ aui_null,	AUE_NULL,	aus_null,	/* 50 sysi86 */
+		auf_null,	0 },
 #else
-aui_null,	AUE_NULL,	aus_null,	/* 50 (loadable) was sys3b */
-		auf_null,	0,
+	{ aui_null,	AUE_NULL,	aus_null,	/* 50 (loadable) was sys3b */
+		auf_null,	0 },
 #endif /* __x86 */
-aui_null,	AUE_ACCT,	aus_acct,	/* 51 (loadable) sysacct */
-		auf_null,	0,
-aui_shmsys,	AUE_SHMSYS,	aus_shmsys,	/* 52 (loadable) shmsys */
-		auf_shmsys,	0,
-aui_semsys,	AUE_SEMSYS,	aus_semsys,	/* 53 (loadable) semsys */
-		auf_semsys,	0,
-aui_null,	AUE_IOCTL,	aus_ioctl,	/* 54 ioctl */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 55 uadmin */
-		auf_null,	0,
-aui_fchownat,	AUE_NULL,	aus_fchownat,	/* 56 fchownat */
-		auf_null,	0,
-aui_utssys,	AUE_FUSERS,	aus_null,	/* 57 utssys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 58 fsync */
-		auf_null,	0,
-aui_execve,	AUE_EXECVE,	aus_null,	/* 59 exece */
-		auf_null,	S2E_MLD,
-aui_null,	AUE_NULL,	aus_null,	/* 60 umask */
-		auf_null,	0,
-aui_null,	AUE_CHROOT,	aus_null,	/* 61 chroot */
-		auf_null,	S2E_SP,
-aui_fcntl,	AUE_FCNTL,	aus_fcntl,	/* 62 fcntl */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 63 ulimit */
-		auf_null,	0,
-aui_null,	AUE_RENAME,	aus_null,	/* 64 renameat */
-		auf_null,	0,
-aui_unlinkat,	AUE_NULL,	aus_null,	/* 65 unlinkat */
-		auf_null,	0,
-aui_fstatat,	AUE_NULL,	aus_null,	/* 66 fstatat */
-		auf_null,	S2E_PUB,
-aui_fstatat,	AUE_NULL,	aus_null,	/* 67 fstatat64 */
-		auf_null,	S2E_PUB,
-aui_openat,	AUE_OPEN,	aus_openat,	/* 68 openat */
-		auf_null,	S2E_SP,
-aui_openat,	AUE_OPEN,	aus_openat,	/* 69 openat64 */
-		auf_null,	S2E_SP,
-aui_null,	AUE_NULL,	aus_null,	/* 70 tasksys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 71 (loadable) acctctl */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 72 (loadable) exacct */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 73 getpagesizes */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 74 rctlsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 75 sidsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 76 (loadable) was fsat */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 77 syslwp_park */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 78 sendfilev */
-		auf_null,	0,
-aui_null,	AUE_RMDIR,	aus_null,	/* 79 rmdir */
-		auf_null,	0,
-aui_null,	AUE_MKDIR,	aus_mkdir,	/* 80 mkdir */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 81 getdents */
-		auf_null,	0,
-aui_privsys,	AUE_NULL,	aus_null,	/* 82 privsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 83 ucredsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 84 sysfs */
-		auf_null,	0,
-aui_null,	AUE_GETMSG,	aus_getmsg,	/* 85 getmsg */
-		auf_null,	0,
-aui_null,	AUE_PUTMSG,	aus_putmsg,	/* 86 putmsg */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 87 (loadable) was poll */
-		auf_null,	0,
-aui_null,	AUE_LSTAT,	aus_null,	/* 88 lstat */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_SYMLINK,	aus_null,	/* 89 symlink */
-		auf_null,	0,
-aui_null,	AUE_READLINK,	aus_null,	/* 90 readlink */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_SETGROUPS,	aus_setgroups,	/* 91 setgroups */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 92 getgroups */
-		auf_null,	0,
-aui_null,	AUE_FCHMOD,	aus_fchmod,	/* 93 fchmod */
-		auf_null,	0,
-aui_null,	AUE_FCHOWN,	aus_fchown,	/* 94 fchown */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 95 sigprocmask */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 96 sigsuspend */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 97 sigaltstack */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 98 sigaction */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 99 sigpending */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 100 setcontext */
-		auf_null,	0,
-aui_fchmodat,	AUE_NULL,	aus_fchmodat,	/* 101 fchmodat */
-		auf_null,	0,
-aui_null,	AUE_MKDIR,	aus_mkdirat,	/* 102 mkdirat */
-		auf_null,	0,
-aui_null,	AUE_STATVFS,	aus_null,	/* 103 statvfs */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NULL,	aus_null,	/* 104 fstatvfs */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 105 getloadavg */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 106 nfssys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 107 waitsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 108 sigsendsys */
-		auf_null,	0,
+	{ aui_null,	AUE_ACCT,	aus_acct,	/* 51 (loadable) sysacct */
+		auf_null,	0 },
+	{ aui_shmsys,	AUE_SHMSYS,	aus_shmsys,	/* 52 (loadable) shmsys */
+		auf_shmsys,	0 },
+	{ aui_semsys,	AUE_SEMSYS,	aus_semsys,	/* 53 (loadable) semsys */
+		auf_semsys,	0 },
+	{ aui_null,	AUE_IOCTL,	aus_ioctl,	/* 54 ioctl */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 55 uadmin */
+		auf_null,	0 },
+	{ aui_fchownat,	AUE_NULL,	aus_fchownat,	/* 56 fchownat */
+		auf_null,	0 },
+	{ aui_utssys,	AUE_FUSERS,	aus_null,	/* 57 utssys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 58 fsync */
+		auf_null,	0 },
+	{ aui_execve,	AUE_EXECVE,	aus_null,	/* 59 exece */
+		auf_null,	S2E_MLD },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 60 umask */
+		auf_null,	0 },
+	{ aui_null,	AUE_CHROOT,	aus_null,	/* 61 chroot */
+		auf_null,	S2E_SP },
+	{ aui_fcntl,	AUE_FCNTL,	aus_fcntl,	/* 62 fcntl */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 63 ulimit */
+		auf_null,	0 },
+	{ aui_null,	AUE_RENAME,	aus_null,	/* 64 renameat */
+		auf_null,	0 },
+	{ aui_unlinkat,	AUE_NULL,	aus_null,	/* 65 unlinkat */
+		auf_null,	0 },
+	{ aui_fstatat,	AUE_NULL,	aus_null,	/* 66 fstatat */
+		auf_null,	S2E_PUB },
+	{ aui_fstatat,	AUE_NULL,	aus_null,	/* 67 fstatat64 */
+		auf_null,	S2E_PUB },
+	{ aui_openat,	AUE_OPEN,	aus_openat,	/* 68 openat */
+		auf_null,	S2E_SP },
+	{ aui_openat,	AUE_OPEN,	aus_openat,	/* 69 openat64 */
+		auf_null,	S2E_SP },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 70 tasksys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 71 (loadable) acctctl */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 72 (loadable) exacct */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 73 getpagesizes */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 74 rctlsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 75 sidsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 76 (loadable) was fsat */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 77 syslwp_park */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 78 sendfilev */
+		auf_null,	0 },
+	{ aui_null,	AUE_RMDIR,	aus_null,	/* 79 rmdir */
+		auf_null,	0 },
+	{ aui_null,	AUE_MKDIR,	aus_mkdir,	/* 80 mkdir */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 81 getdents */
+		auf_null,	0 },
+	{ aui_privsys,	AUE_NULL,	aus_null,	/* 82 privsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 83 ucredsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 84 sysfs */
+		auf_null,	0 },
+	{ aui_null,	AUE_GETMSG,	aus_getmsg,	/* 85 getmsg */
+		auf_null,	0 },
+	{ aui_null,	AUE_PUTMSG,	aus_putmsg,	/* 86 putmsg */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 87 (loadable) was poll */
+		auf_null,	0 },
+	{ aui_null,	AUE_LSTAT,	aus_null,	/* 88 lstat */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_SYMLINK,	aus_null,	/* 89 symlink */
+		auf_null,	0 },
+	{ aui_null,	AUE_READLINK,	aus_null,	/* 90 readlink */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_SETGROUPS,	aus_setgroups,	/* 91 setgroups */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 92 getgroups */
+		auf_null,	0 },
+	{ aui_null,	AUE_FCHMOD,	aus_fchmod,	/* 93 fchmod */
+		auf_null,	0 },
+	{ aui_null,	AUE_FCHOWN,	aus_fchown,	/* 94 fchown */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 95 sigprocmask */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 96 sigsuspend */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 97 sigaltstack */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 98 sigaction */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 99 sigpending */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 100 setcontext */
+		auf_null,	0 },
+	{ aui_fchmodat,	AUE_NULL,	aus_fchmodat,	/* 101 fchmodat */
+		auf_null,	0 },
+	{ aui_null,	AUE_MKDIR,	aus_mkdirat,	/* 102 mkdirat */
+		auf_null,	0 },
+	{ aui_null,	AUE_STATVFS,	aus_null,	/* 103 statvfs */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 104 fstatvfs */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 105 getloadavg */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 106 nfssys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 107 waitsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 108 sigsendsys */
+		auf_null,	0 },
 #if defined(__x86)
-aui_null,	AUE_NULL,	aus_null,	/* 109 hrtsys */
-		auf_null,	0,
+	{ aui_null,	AUE_NULL,	aus_null,	/* 109 hrtsys */
+		auf_null,	0 },
 #else
-aui_null,	AUE_NULL,	aus_null,	/* 109 (loadable) */
-		auf_null,	0,
+	{ aui_null,	AUE_NULL,	aus_null,	/* 109 (loadable) */
+		auf_null,	0 },
 #endif /* __x86 */
-aui_null,	AUE_UTIMES,	aus_null,	/* 110 utimesys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 111 sigresend */
-		auf_null,	0,
-aui_null,	AUE_PRIOCNTLSYS, aus_priocntlsys, /* 112 priocntlsys */
-		auf_null,	0,
-aui_null,	AUE_PATHCONF,	aus_null,	/* 113 pathconf */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NULL,	aus_null,	/* 114 mincore */
-		auf_null,	0,
-aui_null,	AUE_MMAP,	aus_mmap,	/* 115 mmap */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 116 mprotect */
-		auf_null,	0,
-aui_null,	AUE_MUNMAP,	aus_munmap,	/* 117 munmap */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 118 fpathconf */
-		auf_null,	0,
-aui_null,	AUE_VFORK,	aus_null,	/* 119 vfork */
-		auf_null,	0,
-aui_null,	AUE_FCHDIR,	aus_null,	/* 120 fchdir */
-		auf_null,	0,
-aui_null,	AUE_READ,	aus_null,	/* 121 readv */
-		auf_read,	S2E_PUB,
-aui_null,	AUE_WRITE,	aus_null,	/* 122 writev */
-		auf_write,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 123 (loadable) was xstat */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 124 (loadable) was lxstat */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 125 (loadable) was fxstat */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 126 (loadable) was xmknod */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 127 mmapobj */
-		auf_null,	0,
-aui_null,	AUE_SETRLIMIT,	aus_null,	/* 128 setrlimit */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 129 getrlimit */
-		auf_null,	0,
-aui_null,	AUE_LCHOWN,	aus_lchown,	/* 130 lchown */
-		auf_null,	0,
-aui_memcntl,	AUE_MEMCNTL,	aus_memcntl,	/* 131 memcntl */
-		auf_null,	0,
-aui_null,	AUE_GETPMSG,	aus_getpmsg,	/* 132 getpmsg */
-		auf_null,	0,
-aui_null,	AUE_PUTPMSG,	aus_putpmsg,	/* 133 putpmsg */
-		auf_null,	0,
-aui_null,	AUE_RENAME,	aus_null,	/* 134 rename */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 135 uname */
-		auf_null,	0,
-aui_null,	AUE_SETEGID,	aus_setegid,	/* 136 setegid */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 137 sysconfig */
-		auf_null,	0,
-aui_null,	AUE_ADJTIME,	aus_null,	/* 138 adjtime */
-		auf_null,	0,
-aui_sysinfo,	AUE_SYSINFO,	aus_sysinfo,	/* 139 systeminfo */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 140 (loadable) sharefs */
-		auf_null,	0,
-aui_null,	AUE_SETEUID,	aus_seteuid,	/* 141 seteuid */
-		auf_null,	0,
-aui_forksys,	AUE_NULL,	aus_null,	/* 142 forksys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 143 (loadable) was fork1 */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 144 sigwait */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 145 lwp_info */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 146 yield */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 147 (loadable) */
+	{ aui_null,	AUE_UTIMES,	aus_null,	/* 110 utimesys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 111 sigresend */
+		auf_null,	0 },
+	{ aui_null,	AUE_PRIOCNTLSYS, aus_priocntlsys, /* 112 priocntlsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_PATHCONF,	aus_null,	/* 113 pathconf */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 114 mincore */
+		auf_null,	0 },
+	{ aui_null,	AUE_MMAP,	aus_mmap,	/* 115 mmap */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 116 mprotect */
+		auf_null,	0 },
+	{ aui_null,	AUE_MUNMAP,	aus_munmap,	/* 117 munmap */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 118 fpathconf */
+		auf_null,	0 },
+	{ aui_null,	AUE_VFORK,	aus_null,	/* 119 vfork */
+		auf_null,	0 },
+	{ aui_null,	AUE_FCHDIR,	aus_null,	/* 120 fchdir */
+		auf_null,	0 },
+	{ aui_null,	AUE_READ,	aus_null,	/* 121 readv */
+		auf_read,	S2E_PUB },
+	{ aui_null,	AUE_WRITE,	aus_null,	/* 122 writev */
+		auf_write,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 123 (loadable) was xstat */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 124 (loadable) was lxstat */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 125 (loadable) was fxstat */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 126 (loadable) was xmknod */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 127 mmapobj */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETRLIMIT,	aus_null,	/* 128 setrlimit */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 129 getrlimit */
+		auf_null,	0 },
+	{ aui_null,	AUE_LCHOWN,	aus_lchown,	/* 130 lchown */
+		auf_null,	0 },
+	{ aui_memcntl,	AUE_MEMCNTL,	aus_memcntl,	/* 131 memcntl */
+		auf_null,	0 },
+	{ aui_null,	AUE_GETPMSG,	aus_getpmsg,	/* 132 getpmsg */
+		auf_null,	0 },
+	{ aui_null,	AUE_PUTPMSG,	aus_putpmsg,	/* 133 putpmsg */
+		auf_null,	0 },
+	{ aui_null,	AUE_RENAME,	aus_null,	/* 134 rename */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 135 uname */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETEGID,	aus_setegid,	/* 136 setegid */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 137 sysconfig */
+		auf_null,	0 },
+	{ aui_null,	AUE_ADJTIME,	aus_null,	/* 138 adjtime */
+		auf_null,	0 },
+	{ aui_sysinfo,	AUE_SYSINFO,	aus_sysinfo,	/* 139 systeminfo */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 140 (loadable) sharefs */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETEUID,	aus_seteuid,	/* 141 seteuid */
+		auf_null,	0 },
+	{ aui_forksys,	AUE_NULL,	aus_null,	/* 142 forksys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 143 (loadable) was fork1 */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 144 sigwait */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 145 lwp_info */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 146 yield */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 147 (loadable) */
 						/*	was lwp_sema_wait */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 148 lwp_sema_post */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 149 lwp_sema_trywait */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 150 lwp_detach */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 151 corectl */
-		auf_null,	0,
-aui_modctl,	AUE_MODCTL,	aus_modctl,	/* 152 modctl */
-		auf_null,	0,
-aui_null,	AUE_FCHROOT,	aus_null,	/* 153 fchroot */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 154 (loadable) was utimes */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 155 vhangup */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 156 gettimeofday */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 157 getitimer */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 158 setitimer */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 159 lwp_create */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 160 lwp_exit */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 161 lwp_suspend */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 162 lwp_continue */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 163 lwp_kill */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 164 lwp_self */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 165 lwp_sigmask */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 166 lwp_private */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 167 lwp_wait */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 168 lwp_mutex_wakeup  */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 169 (loadable) */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 148 lwp_sema_post */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 149 lwp_sema_trywait */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 150 lwp_detach */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 151 corectl */
+		auf_null,	0 },
+	{ aui_modctl,	AUE_MODCTL,	aus_modctl,	/* 152 modctl */
+		auf_null,	0 },
+	{ aui_null,	AUE_FCHROOT,	aus_null,	/* 153 fchroot */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 154 (loadable) was utimes */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 155 vhangup */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 156 gettimeofday */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 157 getitimer */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 158 setitimer */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 159 lwp_create */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 160 lwp_exit */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 161 lwp_suspend */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 162 lwp_continue */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 163 lwp_kill */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 164 lwp_self */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 165 lwp_sigmask */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 166 lwp_private */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 167 lwp_wait */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 168 lwp_mutex_wakeup  */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 169 (loadable) */
 						/*	was lwp_mutex_lock */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 170 lwp_cond_wait */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 171 lwp_cond_signal */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 172 lwp_cond_broadcast */
-		auf_null,	0,
-aui_null,	AUE_READ,	aus_null,	/* 173 pread */
-		auf_read,	S2E_PUB,
-aui_null,	AUE_WRITE,	aus_null,	/* 174 pwrite */
-		auf_write,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 175 llseek */
-		auf_null,	0,
-aui_null,	AUE_INST_SYNC,	aus_inst_sync,  /* 176 (loadable) inst_sync */
-		auf_null,	0,
-aui_null,	AUE_BRANDSYS,	aus_brandsys,	/* 177 brandsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 178 (loadable) kaio */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 179 (loadable) cpc */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 180 lgrpsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 181 rusagesys */
-		auf_null,	0,
-aui_portfs,	AUE_PORTFS,	aus_null,	/* 182 (loadable) portfs */
-		auf_null,	S2E_MLD,
-aui_null,	AUE_NULL,	aus_null,	/* 183 pollsys */
-		auf_null,	0,
-aui_labelsys,	AUE_NULL,	aus_labelsys,	/* 184 labelsys */
-		auf_null,	0,
-aui_acl,	AUE_ACLSET,	aus_acl,	/* 185 acl */
-		auf_null,	0,
-aui_auditsys,	AUE_AUDITSYS,	aus_auditsys,	/* 186 auditsys  */
-		auf_null,	0,
-aui_null,	AUE_PROCESSOR_BIND, aus_processor_bind, /* 187 processor_bind */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 188 processor_info */
-		auf_null,	0,
-aui_null,	AUE_P_ONLINE,	aus_p_online,	/* 189 p_online */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_sigqueue,	/* 190 sigqueue */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 191 clock_gettime */
-		auf_null,	0,
-aui_null,	AUE_CLOCK_SETTIME,	aus_null,	/* 192 clock_settime */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 193 clock_getres */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 194 timer_create */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 195 timer_delete */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 196 timer_settime */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 197 timer_gettime */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 198 timer_getoverrun */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 199 nanosleep */
-		auf_null,	0,
-aui_acl,	AUE_FACLSET,	aus_facl,	/* 200 facl */
-		auf_null,	0,
-aui_doorfs,	AUE_DOORFS,	aus_doorfs,	/* 201 (loadable) doorfs */
-		auf_null,	0,
-aui_null,	AUE_SETREUID,	aus_setreuid,	/* 202 setreuid */
-		auf_null,	0,
-aui_null,	AUE_SETREGID,	aus_setregid,	/* 203 setregid */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 204 install_utrap */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 205 signotify */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 206 schedctl */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 207 (loadable) pset */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 208 sparc_utrap_install */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 209 resolvepath */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 210 lwp_mutex_timedlock */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 211 lwp_sema_timedwait */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 212 lwp_rwlock_sys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 213 getdents64 */
-		auf_null,	0,
-aui_null,	AUE_MMAP,	aus_mmap,	/* 214 mmap64 */
-		auf_null,	0,
-aui_null,	AUE_STAT,	aus_null,	/* 215 stat64 */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_LSTAT,	aus_null,	/* 216 lstat64 */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NULL,	aus_null,	/* 217 fstat64 */
-		auf_null,	0,
-aui_null,	AUE_STATVFS,	aus_null,	/* 218 statvfs64 */
-		auf_null,	S2E_PUB,
-aui_null,	AUE_NULL,	aus_null,	/* 219 fstatvfs64 */
-		auf_null,	0,
-aui_null,	AUE_SETRLIMIT,	aus_null,	/* 220 setrlimit64 */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 221 getrlimit64 */
-		auf_null,	0,
-aui_null,	AUE_READ,	aus_null,	/* 222 pread64  */
-		auf_read,	S2E_PUB,
-aui_null,	AUE_WRITE,	aus_null,	/* 223 pwrite64 */
-		auf_write,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 224 (loadable) was creat64 */
-		auf_null,	0,
-aui_open,	AUE_OPEN,	aus_open,	/* 225 open64 */
-		auf_null,	S2E_SP,
-aui_null,	AUE_NULL,	aus_null,	/* 226 (loadable) rpcsys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 227 zone */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 228 (loadable) autofssys */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 229 getcwd */
-		auf_null,	0,
-aui_null,	AUE_SOCKET,	aus_socket,	/* 230 so_socket */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 231 so_socketpair */
-		auf_null,	0,
-aui_null,	AUE_BIND,	aus_null,	/* 232 bind */
-		auf_bind,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 233 listen */
-		auf_null,	0,
-aui_null,	AUE_ACCEPT,	aus_null,	/* 234 accept */
-		auf_accept,	0,
-aui_null,	AUE_CONNECT,	aus_null,	/* 235 connect */
-		auf_connect,	0,
-aui_null,	AUE_SHUTDOWN,	aus_shutdown,	/* 236 shutdown */
-		auf_null,	0,
-aui_null,	AUE_READ,	aus_null,	/* 237 recv */
-		auf_recv,	0,
-aui_null,	AUE_RECVFROM,	aus_null,	/* 238 recvfrom */
-		auf_recvfrom,	0,
-aui_null,	AUE_RECVMSG,	aus_null,	/* 239 recvmsg */
-		auf_recvmsg,	0,
-aui_null,	AUE_WRITE,	aus_null,	/* 240 send */
-		auf_send,	0,
-aui_null,	AUE_SENDMSG,	aus_null,	/* 241 sendmsg */
-		auf_sendmsg,	0,
-aui_null,	AUE_SENDTO,	aus_null,	/* 242 sendto */
-		auf_sendto,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 243 getpeername */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 244 getsockname */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 245 getsockopt */
-		auf_null,	0,
-aui_null,	AUE_SETSOCKOPT,	aus_null,	/* 246 setsockopt */
-		auf_setsockopt,	0,
-aui_null,	AUE_SOCKCONFIG,	aus_sockconfig,	/* 247 sockconfig */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 248 ntp_gettime */
-		auf_null,	0,
-aui_null,	AUE_NTP_ADJTIME, aus_null,	/* 249 ntp_adjtime */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 250 lwp_mutex_unlock */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 251 lwp_mutex_trylock */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 252 lwp_mutex_register */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 253 cladm */
-		auf_null,	0,
-aui_null,	AUE_NULL,	aus_null,	/* 254 uucopy */
-		auf_null,	0,
-aui_null,	AUE_UMOUNT2,	aus_umount2,	/* 255 umount2 */
-		auf_null,	0
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 170 lwp_cond_wait */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 171 lwp_cond_signal */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 172 lwp_cond_broadcast */
+		auf_null,	0 },
+	{ aui_null,	AUE_READ,	aus_null,	/* 173 pread */
+		auf_read,	S2E_PUB },
+	{ aui_null,	AUE_WRITE,	aus_null,	/* 174 pwrite */
+		auf_write,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 175 llseek */
+		auf_null,	0 },
+	{ aui_null,	AUE_INST_SYNC,	aus_inst_sync,  /* 176 (loadable) inst_sync */
+		auf_null,	0 },
+	{ aui_null,	AUE_BRANDSYS,	aus_brandsys,	/* 177 brandsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 178 (loadable) kaio */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 179 (loadable) cpc */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 180 lgrpsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 181 rusagesys */
+		auf_null,	0 },
+	{ aui_portfs,	AUE_PORTFS,	aus_null,	/* 182 (loadable) portfs */
+		auf_null,	S2E_MLD },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 183 pollsys */
+		auf_null,	0 },
+	{ aui_labelsys,	AUE_NULL,	aus_labelsys,	/* 184 labelsys */
+		auf_null,	0 },
+	{ aui_acl,	AUE_ACLSET,	aus_acl,	/* 185 acl */
+		auf_null,	0 },
+	{ aui_auditsys,	AUE_AUDITSYS,	aus_auditsys,	/* 186 auditsys  */
+		auf_null,	0 },
+	{ aui_null,	AUE_PROCESSOR_BIND, aus_processor_bind, /* 187 processor_bind */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 188 processor_info */
+		auf_null,	0 },
+	{ aui_null,	AUE_P_ONLINE,	aus_p_online,	/* 189 p_online */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_sigqueue,	/* 190 sigqueue */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 191 clock_gettime */
+		auf_null,	0 },
+	{ aui_null,	AUE_CLOCK_SETTIME,	aus_null,	/* 192 clock_settime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 193 clock_getres */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 194 timer_create */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 195 timer_delete */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 196 timer_settime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 197 timer_gettime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 198 timer_getoverrun */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 199 nanosleep */
+		auf_null,	0 },
+	{ aui_acl,	AUE_FACLSET,	aus_facl,	/* 200 facl */
+		auf_null,	0 },
+	{ aui_doorfs,	AUE_DOORFS,	aus_doorfs,	/* 201 (loadable) doorfs */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETREUID,	aus_setreuid,	/* 202 setreuid */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETREGID,	aus_setregid,	/* 203 setregid */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 204 install_utrap */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 205 signotify */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 206 schedctl */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 207 (loadable) pset */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 208 sparc_utrap_install */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 209 resolvepath */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 210 lwp_mutex_timedlock */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 211 lwp_sema_timedwait */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 212 lwp_rwlock_sys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 213 getdents64 */
+		auf_null,	0 },
+	{ aui_null,	AUE_MMAP,	aus_mmap,	/* 214 mmap64 */
+		auf_null,	0 },
+	{ aui_null,	AUE_STAT,	aus_null,	/* 215 stat64 */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_LSTAT,	aus_null,	/* 216 lstat64 */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 217 fstat64 */
+		auf_null,	0 },
+	{ aui_null,	AUE_STATVFS,	aus_null,	/* 218 statvfs64 */
+		auf_null,	S2E_PUB },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 219 fstatvfs64 */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETRLIMIT,	aus_null,	/* 220 setrlimit64 */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 221 getrlimit64 */
+		auf_null,	0 },
+	{ aui_null,	AUE_READ,	aus_null,	/* 222 pread64  */
+		auf_read,	S2E_PUB },
+	{ aui_null,	AUE_WRITE,	aus_null,	/* 223 pwrite64 */
+		auf_write,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 224 (loadable) was creat64 */
+		auf_null,	0 },
+	{ aui_open,	AUE_OPEN,	aus_open,	/* 225 open64 */
+		auf_null,	S2E_SP },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 226 (loadable) rpcsys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 227 zone */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 228 (loadable) autofssys */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 229 getcwd */
+		auf_null,	0 },
+	{ aui_null,	AUE_SOCKET,	aus_socket,	/* 230 so_socket */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 231 so_socketpair */
+		auf_null,	0 },
+	{ aui_null,	AUE_BIND,	aus_null,	/* 232 bind */
+		auf_bind,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 233 listen */
+		auf_null,	0 },
+	{ aui_null,	AUE_ACCEPT,	aus_null,	/* 234 accept */
+		auf_accept,	0 },
+	{ aui_null,	AUE_CONNECT,	aus_null,	/* 235 connect */
+		auf_connect,	0 },
+	{ aui_null,	AUE_SHUTDOWN,	aus_shutdown,	/* 236 shutdown */
+		auf_null,	0 },
+	{ aui_null,	AUE_READ,	aus_null,	/* 237 recv */
+		auf_recv,	0 },
+	{ aui_null,	AUE_RECVFROM,	aus_null,	/* 238 recvfrom */
+		auf_recvfrom,	0 },
+	{ aui_null,	AUE_RECVMSG,	aus_null,	/* 239 recvmsg */
+		auf_recvmsg,	0 },
+	{ aui_null,	AUE_WRITE,	aus_null,	/* 240 send */
+		auf_send,	0 },
+	{ aui_null,	AUE_SENDMSG,	aus_null,	/* 241 sendmsg */
+		auf_sendmsg,	0 },
+	{ aui_null,	AUE_SENDTO,	aus_null,	/* 242 sendto */
+		auf_sendto,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 243 getpeername */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 244 getsockname */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 245 getsockopt */
+		auf_null,	0 },
+	{ aui_null,	AUE_SETSOCKOPT,	aus_null,	/* 246 setsockopt */
+		auf_setsockopt,	0 },
+	{ aui_null,	AUE_SOCKCONFIG,	aus_sockconfig,	/* 247 sockconfig */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 248 ntp_gettime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NTP_ADJTIME, aus_null,	/* 249 ntp_adjtime */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 250 lwp_mutex_unlock */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 251 lwp_mutex_trylock */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 252 lwp_mutex_register */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 253 cladm */
+		auf_null,	0 },
+	{ aui_null,	AUE_NULL,	aus_null,	/* 254 uucopy */
+		auf_null,	0 },
+	{ aui_null,	AUE_UMOUNT2,	aus_umount2,	/* 255 umount2 */
+		auf_null,	0 }	/* END CSTYLED */
 };
 
 uint_t num_syscall = sizeof (audit_s2e) / sizeof (struct audit_s2e);
